メインコンテンツへスキップ
GET /v1/deployments/{id}/runs 特定の Deployment の実行 Run をカーソルページネーション付きで取得します。結果はトリガー時刻の降順(新しい順)でソートされます。

パスパラメータ

パラメータ説明
idstringDeployment ID(dep_ プレフィックス)

ヘッダー

名称必須
AuthorizationはいBearer $QODER_PAT

クエリパラメータ

パラメータ必須説明
limitintegerいいえ返却件数の上限。デフォルト 20、最大 1000。
after_idstringいいえカーソルページネーション: この ID 以降のレコードを返す
before_idstringいいえカーソルページネーション: この ID 以前のレコードを返す
statusstringいいえRun ステータスでフィルタリング: pendingrunningcompletedfailedskipped
triggered_afterstringいいえこのタイムスタンプ(ISO 8601) より後にトリガーされた Run を返す
triggered_beforestringいいえこのタイムスタンプ(ISO 8601) より前にトリガーされた Run を返す

リクエスト例

curl -X GET "https://api.qoder.com/api/v1/cloud/deployments/dep_019ec55a2b687b3f94eee77dd77e4b2a/runs?limit=5" \
  -H "Authorization: Bearer $QODER_PAT"

レスポンス例

HTTP 200 OK
{
  "data": [
    {
      "agent": {
        "id": "agent_019ebb21ef8e7df6a559052c94875160",
        "type": "agent",
        "version": 1
      },
      "cas_run_extras": {
        "attempt": 1,
        "started_at": "2026-06-14T08:58:17.165588Z",
        "turn_id": "turn_019ec55a68b87a9dafad75c1554d1102"
      },
      "completed_at": "2026-06-14T08:58:34.433744Z",
      "created_at": "2026-06-14T08:58:17.13334Z",
      "deployment_id": "dep_019ec55a2b687b3f94eee77dd77e4b2a",
      "duration_ms": 17268,
      "error": null,
      "id": "drun_019ec55a68af73028afa5b87931cb2f3",
      "session_id": "sess_019ec55a68b37e1e8d660691af161ab4",
      "status": "completed",
      "trigger_context": {
        "type": "manual"
      },
      "triggered_at": "2026-06-14T08:58:17.13334Z",
      "type": "deployment_run"
    }
  ],
  "first_id": "drun_019ec55a68af73028afa5b87931cb2f3",
  "has_more": false,
  "last_id": "drun_019ec55a68af73028afa5b87931cb2f3",
  "next_page": null
}

レスポンスフィールド

フィールド説明
dataarrayDeployment Run オブジェクトの配列
first_idstring現在ページ先頭レコードの ID
last_idstring現在ページ末尾レコードの ID
has_morebooleanさらにレコードがあるかどうか
next_pagestring or null次ページのカーソル値(これ以上ない場合は null)
Deployment Run のフィールド詳細については Deployment の実行 を参照してください。

エラー

HTTPtype説明
401authentication_errorPAT が無効または期限切れ
404not_found_errorDeployment が存在しない
完全なエラーエンベロープについては エラー を参照してください。

関連項目

Deployment Run の取得

特定の Run の詳細とステータスを取得します。

Deployment の実行

手動トリガーで新しい Run を即座に開始します。

全 Deployment Run 一覧

すべての Deployment にまたがる Run を確認します。

Deployment の取得

親 Deployment の設定とスケジュールを確認します。